Bug 240621 - after plugging in FW camera (Apple iSight) /dev/fw[01] lack proper labels
Summary: after plugging in FW camera (Apple iSight) /dev/fw[01] lack proper labels
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-18 21:52 UTC by Will Woods
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 16:10:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Will Woods 2007-05-18 21:52:48 UTC
I've plugged in an iSight, but /dev/fwX do not seem to get proper labels:

[wwoods@brinstar ~]$ ls -alZ /dev/fw*
crw-------  root root system_u:object_r:device_t       /dev/fw0
crw-------  root root system_u:object_r:device_t       /dev/fw1

This prevents hal from being able to run /usr/bin/setfacl on them:

avc: denied { getattr } for comm="setfacl" dev=tmpfs egid=0 euid=0
exe="/usr/bin/setfacl" exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="fw1"
path="/dev/fw1" pid=4510 scontext=system_u:system_r:hald_acl_t:s0 sgid=0
subj=system_u:system_r:hald_acl_t:s0 suid=0 tclass=chr_file
tcontext=system_u:object_r:device_t:s0 tty=(none) uid=0 

Which may prevent me from using it properly.

Comment 1 Daniel Walsh 2007-05-19 01:21:03 UTC
What version of policy?

On my machine

matchpathcon  /dev/fw0 
/dev/fw0        system_u:object_r:usb_device_t

selinux-policy-2.6.4-4.fc7

Comment 2 Will Woods 2007-05-19 04:30:52 UTC
actually, hmm. I've now got selinux-policy-targeted-2.6.4-6.fc7, and that gives
similar matchpathcon results. But I currently don't have physical access to the
machine, so I can't tell if this is a problem right now. I'll test again Monday.

Comment 3 Will Woods 2007-05-21 16:10:07 UTC
Seems fixed now that I'm definitely using the right policy.


Note You need to log in before you can comment on or make changes to this bug.